import { Router } from "@angular/router";
import { WindowRef } from "./WindowRef";
/** @dynamic */
export declare class TagCommanderService {
    private winRef;
    private router;
    private _doc;
    private platformId;
    _tcContainers: Array<any>;
    pageEvent: any;
    _trackRoutes: boolean;
    debug: boolean;
    debug_logger: (...args: any[]) => void;
    constructor(winRef: WindowRef, router: Router, _doc: Document, platformId: Object);
    addContainer(id: string, uri: string, node: string): void;
    removeContainer(id: string): void;
    setDebug(debug: boolean): void;
    trackRoutes(b: boolean): void;
    setTcVar(tcKey: string, tcVar: any): number;
    setTcVars(vars: object): void;
    getTcVar(tcKey: string): any;
    removeTcVar(varKey: string): void;
    reloadAllContainers(options: object): number;
    reloadContainer(ids: string, idc: string, options: object): number;
    captureEvent(eventLabel: string, element: any, data: object, reloadCapture?: boolean): void;
}
